#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/io.h>
#include "lcd.h"

int main()
{
	/* Get access to the ports */
	if (ioperm(BASEPORT, 3, 1)) {perror("ioperm"); exit(1);}

	master_init_LCD();
	print_to_string (0, 0, "XXXXXXXXXXXXXXXXXXXX"			, 20);
	print_to_string (0, 1, "YYYYYYYYYYYYYYYYYYYY"			, 20);
	print_to_string (0, 2, "ZZZZZZZZZZZZZZZZZZZZ"			, 20);
	print_to_string (0, 3, "MMMMMMMMMMMMMMMMMMMM"			, 20);

	/* We don't need the ports anymore */
	if (ioperm(BASEPORT, 3, 0)) {perror("ioperm"); exit(1);}

	exit(0);
}


